#
# spec file for package python-osc-lib
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global sname osc-lib
Name:           python-osc-lib
Version:        1.1.0
Release:        1.2
Summary:        OpenStackClient Library
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://docs.openstack.org/developer/osc-lib
Source0:        https://pypi.io/packages/source/o/%{sname}/%{sname}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-Babel >= 2.3.4
BuildRequires:  python-cliff >= 1.15.0
BuildRequires:  python-devel
BuildRequires:  python-fixtures >= 3.0.0
BuildRequires:  python-keystoneauth1 >= 2.10.0
BuildRequires:  python-mock >= 2.0
BuildRequires:  python-os-client-config >= 1.13.1
BuildRequires:  python-os-testr >= 0.7.0
BuildRequires:  python-oslo.i18n >= 2.1.0
BuildRequires:  python-oslo.utils >= 3.16.0
BuildRequires:  python-oslotest >= 1.10.0
BuildRequires:  python-osprofiler >= 1.3.0
BuildRequires:  python-pbr >= 1.6
BuildRequires:  python-reno >= 1.8.0
BuildRequires:  python-requests-mock >= 1.0
BuildRequires:  python-simplejson >= 2.2.0
BuildRequires:  python-six >= 1.9.0
BuildRequires:  python-stevedore >= 1.16.0
BuildRequires:  python-testrepository >= 0.0.18
BuildRequires:  python-testtools >= 1.4.0
Requires:       python-Babel >= 2.3.4
Requires:       python-cliff >= 1.15.0
Requires:       python-keystoneauth1 >= 2.10.0
Requires:       python-os-client-config >= 1.13.1
Requires:       python-oslo.i18n >= 2.1.0
Requires:       python-oslo.utils >= 3.16.0
Requires:       python-pbr >= 1.6
Requires:       python-simplejson >= 2.2.0
Requires:       python-six >= 1.9.0
Requires:       python-stevedore >= 1.16.0
BuildArch:      noarch

%description
OpenStackClient (aka OSC) is a command-line client for OpenStack.  osc-lib
is a package of common support modules for writing OSC plugins.

%package doc
Summary:        Documentation for the OpenStack client library
Group:          Development/Languages/Python
BuildRequires:  python-Sphinx
BuildRequires:  python-oslosphinx >= 2.5.0

%description doc
Documentation for the OpenStack client library.

%prep
%setup -q -n %{sname}-%{version}

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

# generate html docs
%{__python2} setup.py build_sphinx
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}

%check
%{__python2} setup.py testr

%files
%license LICENSE
%doc README.rst ChangeLog
%{python2_sitelib}/osc_lib
%{python2_sitelib}/*.egg-info

%files doc
%license LICENSE
%doc doc/build/html

%changelog
* Thu Sep  1 2016 tbechtold@suse.com
- update to version 1.1.0
  * Fix default handling for verify option in ClientManager
  * Updated from global requirements
* Fri Aug 26 2016 tbechtold@suse.com
- update to version 1.0.2
  * Do not add user domain options if not needed
  * Prevent null key setting for property
  * Another precedence fix
  * Add reno for osc-lib release notes management
  * Add release notes for 1.0 release
  * Fix arguemnt precedence issues with os-client-config
  * More hacks to fix broken o-c-c precedence
  * Decode argv to Unicode on py2
  * Updated from global requirements
* Wed Aug 10 2016 tbechtold@suse.com
- update to version 0.4.1
  * Remove unused releasenotes infrastructure
  * Remove option handling unused code
  * Use assertEqual() instead of assertDictEqual()
  * Allow shell class to be overridden in test subclass
* Fri Jul 29 2016 dmueller@suse.com
- update to 0.4.0:
  * Add Python 3.5 classifier and venv
  * Updated from global requirements
  * Fix v2 auth with v3 args present
  * trivial whitespace change to kick off docs publishing
  * Remove discover from test-requirements
* Fri Jul 22 2016 tbechtold@suse.com
- update to 0.3.0:
  * Updated from global requirements
  * Generate auth plugin options based on the name
  * Remove tempest from test-requirements.txt
  * Don't create a requests.Session for session
  * Remove old fakes
  * Updated from global requirements
* Wed Jul 13 2016 tbechtold@suse.com
- Initial packaging (version 0.2.1)
